"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DynamoPaginationRequest = void 0;
const class_transformer_1 = require("class-transformer");
const class_validator_1 = require("class-validator");
const dynamo_filter_request_1 = require("./dynamo-filter.request");
const enums_1 = require("../../enums/enums");
class DynamoPaginationRequest {
    constructor() {
        this.from = null;
        this.limit = null;
        this.order = null;
        this.direction = enums_1.DynamoPaginationDirection.ASC;
    }
}
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsArray)(),
    (0, class_transformer_1.Type)(() => (dynamo_filter_request_1.DynamoFilterRequest)),
    (0, class_validator_1.ValidateNested)()
], DynamoPaginationRequest.prototype, "filters", void 0);
__decorate([
    (0, class_validator_1.IsOptional)()
], DynamoPaginationRequest.prototype, "from", void 0);
__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.IsNumber)(),
    (0, class_transformer_1.Transform)((val) => val.value ? val.value * 1 : null)
], DynamoPaginationRequest.prototype, "limit", void 0);
__decorate([
    (0, class_validator_1.IsOptional)()
], DynamoPaginationRequest.prototype, "order", void 0);
__decorate([
    (0, class_validator_1.IsOptional)()
], DynamoPaginationRequest.prototype, "direction", void 0);
exports.DynamoPaginationRequest = DynamoPaginationRequest;
